Bug 1119895 - [RFE] workflow for deleting content view doesn't match deleting other things
Summary: [RFE] workflow for deleting content view doesn't match deleting other things
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 18:58 UTC by Erik M Jacobs
Modified: 2015-12-03 15:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-03 19:48:15 UTC


Attachments (Terms of Use)

Description Erik M Jacobs 2014-07-15 18:58:29 UTC
Description of problem:

When deleting a content view, you must click into the view and then press a button that says "Remove View".

The term "remove" is not normally used elsewhere.

Additionally, when you check a box in a list of content views, your only option is to deselect all, which does not match other workflows where you can check a box and then delete what is checked.

Comment 1 RHEL Product and Program Management 2014-07-15 19:24:25 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2015-09-03 19:48:15 UTC
I was just checking out Satellite 6.1.1 and observed that removal of content views is consistent with other content related objects (e.g. Sync Plans, Products, GPG Keys...etc).  Each requires the user to select the object and then click a 'Remove' button.

I also observed that in Satellite 6.1.1, the ability to select multiple objects from the list (e.g. Content Views, Sync Plans...etc) is no longer possible, since bulk actions are not supported for them.  In other words, the checkboxes that appeared in previous releases have been removed.

Based on the above, I am going to close this RFE out; however, if there are any concerns, please let me know.


Note You need to log in before you can comment on or make changes to this bug.